%define name 	simplecdrx
%define version	1.3.2
%define release	3mdk

Summary: 	A powerful CD creation and audio maniplation program
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Archiving/Cd burning
Source0: 	%{name}-%{version}.tar.bz2
Source1:   	%{name}-16x16.png.bz2
Source2:   	%{name}-32x32.png.bz2
Source3:   	%{name}-48x48.png.bz2
Patch0:		simplecdrx-1.3.2-compile.patch.bz2
Url: 		http://ogre.rocky-road.net/cdr.shtml
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:	gtk-devel
BuildRequires:  XFree86-devel
BuildRequires:  libvorbis-devel

%description
The primary goal of SimpleCDR-X is to be a powerful CD creation and audio
manipulation program.
Ease of use, flexibility, and a clean interface are of utmost importance.
SimpleCDR-X achieves this by not having the option to enable every single
mkisofs and cdrecord option. Instead a small selection of commonly
used options are available. In no way does this compromise the
power of SimpleCDR-X because a majority of the options you will
never use or know about unless you have the man page printed out for
quick reference.

%prep 
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .compile

%build
%configure
%make

%install
 [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
 && rm -rf ${RPM_BUILD_ROOT}/
%makeinstall

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Applications/Archiving/CD Burning" \
title="SimpleCDR-X" \
longtitle="SimpleCDR-X" \
command="%{_bindir}/simplecdrx" \
icon="%{name}.png"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post 
%{update_menus}

%postun 
%{clean_menus}

%clean
 [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
 && rm -rf ${RPM_BUILD_ROOT}/
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files 
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/simplecdrx*
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_menudir}/*
%_datadir/GETTEXT/pixmaps/*
#%{_datadir}/SimpleCDR-X/pixmaps/*

%changelog
* Thu Sep 02 2004 Marcel Pol <mpol@mandrake.org> 1.3.2-3mdk
- really fix menu

* Thu Sep 02 2004 Marcel Pol <mpol@mandrake.org> 1.3.2-2mdk
- patch0: fix compile with gcc-3.4
- fix menu
- clean in %%install, not in %%prep

* Sun Dec 28 2003 Austin Acton <austin@linux.ca> 1.3.2-1mdk
- 1.3.2
- remove patch

* Sat Jun 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1
- Patch0: simplecdrx-assert.patch

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-2mdk
- rebuild

* Mon Dec 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- from Marcel Pol <mpol@gmx.net> :
	- version 1.2.2

* Sun Sep 29 2002 Marcel Pol <mpol@gmx.net> 1.2.1-1mdk
- version 1.2.1

* Sat Sep 21 2002 Marcel Pol <mpol@gmx.net> 1.2-2mdk
- titlebar now says 1.2 too.

* Fri Sep 20 2002 Marcel Pol <mpol@gmx.net> 1.2-1mdk
- 1.2
- depcomp is included now.

* Thu Jul 18 2002 Marcel Pol <mpol@gmx.net> 1.2-0.pre4.1mdk
- 1.2-pre4
- buildrequires automake1.6, because of depcomp symlink
- s/Changelog/ChangeLog

* Tue Mar 12 2002 Marcel Pol <mpol@gmx.net> 1.1-1mdk
- updated to 1.1
- added manpage and pixmap

* Sun Dec 16 2001 Marcel Pol <mpol@gmx.net> 1.0-1
- updated to 1.0

* Tue Dec 04 2001 Marcel Pol <mpol@gmx.net> 1.0-0.pre7.1mdk
- RPM created for simplecdr-x.
- added menu-entries with icons.
- seems like the manpage isn't much usefull yet.
- "rm -rf RPM_BUILD_ROOT" now defaults to /.

